<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="w3.css">
<title>Effacer Agenda</title>
 
</head>
<style>
body {width:90%;}
</style>
<body>

<div class="w3-card-4">
<form method="post" action="_effaceragenda.php" >

<?php
include 'header.php';

$cycle=$_GET['cycle'];
include '_serveur.php';
$sql = 'SELECT * from classes where cycleID="'.$cycle.'" order by id ASC';
   if(!(mysqli_query($link, $sql))){
    echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
}
$req=  mysqli_query($link, $sql);
echo '<label class="w3-text-teal" >Classe:</label><select name="cla" class="w3-select w3-border w3-light-grey">';

 while($data = mysqli_fetch_array($req)) {
$classe=$data['name'];
$classeid=$data['id'];
$classe=strtoupper($classe);
 echo' <option value="'.$classeid.'">'.$classe.'</option>';
        };

echo '</select>';

echo '<label class="w3-text-teal">Date:</label> <input class="w3-input w3-border w3-light-grey" type="date" name="date" value="'.date("Y-m-d").'" />';
                    
 echo'  <input name="chercher" type="submit" class="style19" value="Envoyer" bgcolor="#CC99FF" /></form></div>';
               
if (isset ($_POST['chercher'])){
$classeid=$_POST['cla'];
$subjectId=$_POST['sub'];
$date=$_POST['date'];
$agenda=$_POST['agenda'];

$sql = 'SELECT * FROM agenda JOIN classes on agenda.classID=classes.id
                             JOIN subjects on agenda.subjectID=subjects.id  where classID= "'.$classeid.'"  and date = "'.$date.'"  ';

   if(!(mysqli_query($link, $sql))){
    echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
}
echo '<div class="w3-container">

<h2>Agenda</h2>';
$j=1;
$req=mysqli_query($link, $sql);

while ($data = mysqli_fetch_array($req)) {
// on affiche les résultats
$id=$data[0];
$classe=$data[7];
$description=$data['description'];
$date=$data['date'];
$matiere=$data['name'];
echo '<div class="w3-container w3-left-align">';
if($j==1) echo '<table width="90%" border=0><tr><td colspan="2"><p align="left"><b>&nbsp;&nbsp;'.$classe.'&nbsp;&nbsp;</b></p></td</tr>';
echo "<tr><td>".$matiere.'</b>&ensp;&ensp;&ensp;&ensp;&ensp;</td><td>
<a href="_effaceragenda.php?id='.$id.'" class="w3-button w3-circle w3-blue">-</button></td></tr>
<tr><td colspan="2"><div id="'.$j.'" class="w3-container w3-hide">
  <div class="w3-panel w3-pale-green">'.$description.'</td></tr></div></div></div>';

$j=$j+1;

}
}
$id=$_GET['id'];
$sql = 'delete from agenda where id= "'.$id.'"';

   if(!(mysqli_query($link, $sql))){
    echo "ERROR: Could not able to execute $sql. " . mysqli_error($link);
}

?>


</body>
</html>